i.group(1)

NAME
i.group - Creates, edits, and lists groups of imagery data.

KEYWORDS
imagery, map management

SYNOPSIS
i.group
i.group --help
i.group [-rlsg] group=name [subgroup=name] [input=name[,name,...]] [file=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Remove selected files from specified group or subgroup

-l
    List files from specified (sub)group

-s
    List subgroups from specified group

-g
    Print in shell script style

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

group=name [required]
    Name of imagery group

subgroup=name
    Name of imagery subgroup

input=name[,name,...]
    Name of raster map(s) to include in group

file=name
    Input file with one raster map name per line

DESCRIPTION
i.group allows the user to collect raster map layers in an imagery group by assigning them to user-named subgroups or other groups. This enables the user to run analyses on any combination of the raster map layers in a group. The user creates the groups and subgroups and selects the raster map layers that are to reside in them. Imagery analysis programs like g.gui.gcp, i.rectify, i.ortho.photo and others ask the user for the name of an imagery group whose data are to be analyzed. Imagery analysis programs like i.cluster and i.maxlik ask the user for the imagery group and imagery subgroup whose data are to be analyzed.

NOTES
The i.group options are only available for imagery map layers in the current LOCATION_NAME.

Subgroup names may not contain more than 12 characters.

  EXAMPLE
This example runs in the "landsat" mapset of the North Carolina sample dataset. The following command creates a group and subgroup containing only the visible light bands of Landsat-7:

i.group group=vis_bands subgroup=vis_bands input=lsat7_2000_10,lsat7_2000_20,lsat7_2000_30

SEE ALSO
The GRASS 4 Image Processing manual

g.gui.gcp, i.cluster, i.maxlik, i.rectify, i.ortho.photo

AUTHORS
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory
Parser support: Bob Covill (Tekmap, Canada)

SOURCE CODE

Available at: i.group source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.2.2dev Reference Manual